## sagan 0.1.9

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/sagan
pkgincludedir = $(includedir)/sagan
pkglibdir = $(libdir)/sagan
pkglibexecdir = $(libexecdir)/sagan
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	TODO config.guess config.sub depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run tar
AUTOCONF = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run autoconf
AUTOHEADER = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run autoheader
AUTOMAKE = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENDIAN = little
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -ldnet -lpcap -llognorm -lprelude -lesmtp -lpq -lmysqlclient_r -lm -lpthread -lpcre 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sagan
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1.9
abs_builddir = /home/champ/code/sagan-0.1.9
abs_srcdir = /home/champ/code/sagan-0.1.9
abs_top_builddir = /home/champ/code/sagan-0.1.9
abs_top_srcdir = /home/champ/code/sagan-0.1.9
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/champ/code/sagan-0.1.9/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPIONS = foreign no-dependencies
SUBDIRS = src
INCLUDES = @INCLUDES@
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS

=== src/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/sagan
pkgincludedir = $(includedir)/sagan
pkglibdir = $(libdir)/sagan
pkglibexecdir = $(libexecdir)/sagan
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
bin_PROGRAMS = sagan$(EXEEXT)
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_sagan_OBJECTS = sagan.$(OBJEXT) sagan-classifications.$(OBJEXT) \
	sagan-config.$(OBJEXT) sagan-lockfile.$(OBJEXT) \
	sagan-references.$(OBJEXT) sagan-rules.$(OBJEXT) \
	sagan-signal.$(OBJEXT) sagan-key.$(OBJEXT) \
	sagan-stats.$(OBJEXT) sagan-strlcat.$(OBJEXT) \
	sagan-strlcpy.$(OBJEXT) sagan-usage.$(OBJEXT) \
	sagan-util.$(OBJEXT) sagan-plog.$(OBJEXT) parse-ip.$(OBJEXT) \
	parse-port.$(OBJEXT) sagan-alert.$(OBJEXT) \
	sagan-snort.$(OBJEXT) sagan-esmtp.$(OBJEXT) \
	sagan-external.$(OBJEXT) sagan-logzilla.$(OBJEXT) \
	sagan-prelude.$(OBJEXT) sagan-unified2.$(OBJEXT)
sagan_OBJECTS = $(am_sagan_OBJECTS)
sagan_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(sagan_SOURCES)
DIST_SOURCES = $(sagan_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run tar
AUTOCONF = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run autoconf
AUTOHEADER = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run autoheader
AUTOMAKE = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENDIAN = little
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -ldnet -lpcap -llognorm -lprelude -lesmtp -lpq -lmysqlclient_r -lm -lpthread -lpcre 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = sagan
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1.9
abs_builddir = /home/champ/code/sagan-0.1.9/src
abs_srcdir = /home/champ/code/sagan-0.1.9/src
abs_top_builddir = /home/champ/code/sagan-0.1.9
abs_top_srcdir = /home/champ/code/sagan-0.1.9
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/champ/code/sagan-0.1.9/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPIONS = foreign no-dependencies
sagan_SOURCES = sagan.c \
sagan.h \
version.h \
sagan-classifications.c \
sagan-config.c \
sagan-lockfile.c \
sagan-references.c \
sagan-rules.c \
sagan-signal.c \
sagan-key.c \
sagan-stats.c \
sagan-strlcat.c \
sagan-strlcpy.c \
sagan-usage.c \
sagan-util.c \
sagan-plog.c \
parsers/parse-ip.c \
parsers/parse-port.c \
output-plugins/sagan-alert.c \
output-plugins/sagan-snort.c \
output-plugins/sagan-esmtp.c \
output-plugins/sagan-external.c \
output-plugins/sagan-logzilla.c \
output-plugins/sagan-prelude.c \
output-plugins/sagan-unified2.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' `; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
sagan$(EXEEXT): $(sagan_OBJECTS) $(sagan_DEPENDENCIES) 
	@rm -f sagan$(EXEEXT)
	$(LINK) $(sagan_OBJECTS) $(sagan_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/parse-ip.Po
include ./$(DEPDIR)/parse-port.Po
include ./$(DEPDIR)/sagan-alert.Po
include ./$(DEPDIR)/sagan-classifications.Po
include ./$(DEPDIR)/sagan-config.Po
include ./$(DEPDIR)/sagan-esmtp.Po
include ./$(DEPDIR)/sagan-external.Po
include ./$(DEPDIR)/sagan-key.Po
include ./$(DEPDIR)/sagan-lockfile.Po
include ./$(DEPDIR)/sagan-logzilla.Po
include ./$(DEPDIR)/sagan-plog.Po
include ./$(DEPDIR)/sagan-prelude.Po
include ./$(DEPDIR)/sagan-references.Po
include ./$(DEPDIR)/sagan-rules.Po
include ./$(DEPDIR)/sagan-signal.Po
include ./$(DEPDIR)/sagan-snort.Po
include ./$(DEPDIR)/sagan-stats.Po
include ./$(DEPDIR)/sagan-strlcat.Po
include ./$(DEPDIR)/sagan-strlcpy.Po
include ./$(DEPDIR)/sagan-unified2.Po
include ./$(DEPDIR)/sagan-usage.Po
include ./$(DEPDIR)/sagan-util.Po
include ./$(DEPDIR)/sagan.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

parse-ip.o: parsers/parse-ip.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parse-ip.o -MD -MP -MF $(DEPDIR)/parse-ip.Tpo -c -o parse-ip.o `test -f 'parsers/parse-ip.c' || echo '$(srcdir)/'`parsers/parse-ip.c
	$(am__mv) $(DEPDIR)/parse-ip.Tpo $(DEPDIR)/parse-ip.Po
#	source='parsers/parse-ip.c' object='parse-ip.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parse-ip.o `test -f 'parsers/parse-ip.c' || echo '$(srcdir)/'`parsers/parse-ip.c

parse-ip.obj: parsers/parse-ip.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parse-ip.obj -MD -MP -MF $(DEPDIR)/parse-ip.Tpo -c -o parse-ip.obj `if test -f 'parsers/parse-ip.c'; then $(CYGPATH_W) 'parsers/parse-ip.c'; else $(CYGPATH_W) '$(srcdir)/parsers/parse-ip.c'; fi`
	$(am__mv) $(DEPDIR)/parse-ip.Tpo $(DEPDIR)/parse-ip.Po
#	source='parsers/parse-ip.c' object='parse-ip.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parse-ip.obj `if test -f 'parsers/parse-ip.c'; then $(CYGPATH_W) 'parsers/parse-ip.c'; else $(CYGPATH_W) '$(srcdir)/parsers/parse-ip.c'; fi`

parse-port.o: parsers/parse-port.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parse-port.o -MD -MP -MF $(DEPDIR)/parse-port.Tpo -c -o parse-port.o `test -f 'parsers/parse-port.c' || echo '$(srcdir)/'`parsers/parse-port.c

## sagan 0.1.9~svn129

=== debian/changelog ===
sagan (0.1.9~svn129-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS due to --ld-as-needed (LP: #803194)

 -- Mat Scales <mat@wibbly.org.uk>  Wed, 29 Jun 2011 16:26:12 +0100

sagan (0.1.9~svn129-1) unstable; urgency=low

  * Initial release (Closes: #609893)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Mar 2011 15:18:58 +0100

=== debian/control ===
Source: sagan
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
    autotools-dev,
    pkg-config,
    libpcre3-dev,
    libesmtp-dev,
    libpcap-dev,
    libmysqlclient-dev,
    libpq-dev,
    libprelude-dev,
    liblognorm-dev
Standards-Version: 3.9.1
Homepage: http://sagan.softwink.com/
#Vcs-Git: git://git.debian.org/collab-maint/sagan.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/sagan.git;a=summary

Package: sagan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sagan-rules
Description: Real-time System & Event Log Monitoring System
 Sagan is a multi-threaded, real time system- and event-log monitoring
 system, but with a twist. Sagan uses a “Snort” like rule set for
 detecting malicious events happening on your network and/or computer
 systems.
 If Sagan detects a potentially bad event, that event can be stored to a
 Snort database (MySQL/PostgreSQL), send it to a SIEM tool like Prelude,
 or send an email.
 Sagan is meant to be used in a ‘centralized’ logging environment, but
 will work fine as part of a standalone Host IDS system for workstations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# rules file for Sagan
# Written by Pierre Chifflier
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- --with-postgresql-includes=/usr/include/postgresql --disable-libdnet LIBS="-lestr -lee"

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/sagan/var/run/sagan
	sed -i \
		-e 's|/usr/local/etc|/etc|' \
		-e 's|/var/run/sagan.fifo|/var/run/sagan/sagan.fifo|' \
		-e 's|^\(.*\)apc-emu.rules|#\1apc-emu.rules|' \
		-e 's|^\(.*\)bonding.rules|#\1bonding.rules|' \
		-e 's|^\(.*\)cacti-thold.rules|#\1cacti-thold.rules|' \
		-e 's|^\(.*\)ossec-mi.rules|#\1ossec-mi.rules|' \
		-e 's|^\(.*\)sonicwall.rules|#\1sonicwall.rules|' \
		debian/sagan/etc/sagan.conf

%:
	dh $@

## sagan 0.1.9

=== debian/changelog ===
sagan (0.1.9-1) unstable; urgency=low

  * Imported Upstream version 0.1.9
  * Enable hardening wrapper
  * Use LIBS rather than LDFLAGS for additional libs, fix ftbfs with
    --as-needed (Closes: #632101)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Fri, 15 Jul 2011 21:01:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sagan
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
     autotools-dev,
     pkg-config,
@@ -12,8 +11,9 @@
     libmysqlclient-dev,
     libpq-dev,
     libprelude-dev,
-    liblognorm-dev
-Standards-Version: 3.9.1
+    liblognorm-dev,
+    hardening-wrapper
+Standards-Version: 3.9.2
 Homepage: http://sagan.softwink.com/
 #Vcs-Git: git://git.debian.org/collab-maint/sagan.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/sagan.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_HARDENING=1
 
 override_dh_auto_configure:
 	dh_testdir

## sagan 0.2.0

=== src/Makefile ===
--- 
+++ 
@@ -32,9 +32,9 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-unknown-linux-gnu
-host_triplet = x86_64-unknown-linux-gnu
-target_triplet = x86_64-unknown-linux-gnu
+build_triplet = i686-pc-linux-gnu
+host_triplet = i686-pc-linux-gnu
+target_triplet = i686-pc-linux-gnu
 bin_PROGRAMS = sagan$(EXEEXT)
 subdir = src
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -57,8 +57,8 @@
 	sagan-util.$(OBJEXT) sagan-plog.$(OBJEXT) parse-ip.$(OBJEXT) \
 	parse-port.$(OBJEXT) sagan-alert.$(OBJEXT) \
 	sagan-snort.$(OBJEXT) sagan-esmtp.$(OBJEXT) \
-	sagan-external.$(OBJEXT) sagan-logzilla.$(OBJEXT) \
-	sagan-prelude.$(OBJEXT) sagan-unified2.$(OBJEXT)
+	sagan-external.$(OBJEXT) sagan-prelude.$(OBJEXT) \
+	sagan-unified2.$(OBJEXT)
 sagan_OBJECTS = $(am_sagan_OBJECTS)
 sagan_LDADD = $(LDADD)
 DEFAULT_INCLUDES = -I. -I$(top_builddir)
@@ -74,11 +74,11 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run aclocal-1.11
-AMTAR = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run tar
-AUTOCONF = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run automake-1.11
+ACLOCAL = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run aclocal-1.11
+AMTAR = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run tar
+AUTOCONF = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -104,7 +104,7 @@
 LIBOBJS = 
 LIBS = -ldnet -lpcap -llognorm -lprelude -lesmtp -lpq -lmysqlclient_r -lm -lpthread -lpcre 
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/champ/code/sagan-0.1.9/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = sagan
@@ -118,11 +118,11 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 0.1.9
-abs_builddir = /home/champ/code/sagan-0.1.9/src
-abs_srcdir = /home/champ/code/sagan-0.1.9/src
-abs_top_builddir = /home/champ/code/sagan-0.1.9
-abs_top_srcdir = /home/champ/code/sagan-0.1.9
+VERSION = 0.2.0
+abs_builddir = /home/champ/code/sagan-0.2.0/src
+abs_srcdir = /home/champ/code/sagan-0.2.0/src
+abs_top_builddir = /home/champ/code/sagan-0.2.0
+abs_top_srcdir = /home/champ/code/sagan-0.2.0
 ac_ct_CC = gcc
 am__include = include
 am__leading_dot = .
@@ -130,26 +130,26 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-unknown-linux-gnu
+build = i686-pc-linux-gnu
 build_alias = 
-build_cpu = x86_64
+build_cpu = i686
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-unknown-linux-gnu
+host = i686-pc-linux-gnu
 host_alias = 
-host_cpu = x86_64
+host_cpu = i686
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/champ/code/sagan-0.1.9/install-sh
+install_sh = ${SHELL} /home/champ/code/sagan-0.2.0/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -165,11 +165,11 @@
 sharedstatedir = ${prefix}/com
 srcdir = .
 sysconfdir = ${prefix}/etc
-target = x86_64-unknown-linux-gnu
+target = i686-pc-linux-gnu
 target_alias = 
-target_cpu = x86_64
+target_cpu = i686
 target_os = linux-gnu
-target_vendor = unknown
+target_vendor = pc
 top_build_prefix = ../
 top_builddir = ..
 top_srcdir = ..
@@ -196,7 +196,6 @@
 output-plugins/sagan-snort.c \
 output-plugins/sagan-esmtp.c \
 output-plugins/sagan-external.c \
-output-plugins/sagan-logzilla.c \
 output-plugins/sagan-prelude.c \
 output-plugins/sagan-unified2.c
 
@@ -290,7 +289,6 @@
 include ./$(DEPDIR)/sagan-external.Po
 include ./$(DEPDIR)/sagan-key.Po
 include ./$(DEPDIR)/sagan-lockfile.Po
-include ./$(DEPDIR)/sagan-logzilla.Po
 include ./$(DEPDIR)/sagan-plog.Po
 include ./$(DEPDIR)/sagan-prelude.Po
 include ./$(DEPDIR)/sagan-references.Po
@@ -335,3 +333,5 @@
 
 parse-port.o: parsers/parse-port.c
 	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parse-port.o -MD -MP -MF $(DEPDIR)/parse-port.Tpo -c -o parse-port.o `test -f 'parsers/parse-port.c' || echo '$(srcdir)/'`parsers/parse-port.c
+	$(am__mv) $(DEPDIR)/parse-port.Tpo $(DEPDIR)/parse-port.Po
+#	source='parsers/parse-port.c' object='parse-port.o' libtool=no \

=== extra/sagan-notify/Makefile ===
CC = gcc
PROGRAM = sagan-notify
PROGRAM_FILES = sagan-notify.c

CFLAGS	+= -g 
LDFLAGS	+= -g
LIBS 	+= -lnotify
GTKFLAGS := $(shell pkg-config --cflags gtk+-2.0 glib-2.0) 

all: $(PROGRAM)

%: %.c 
	$(CC) $(PROGRAM_FILES) $(CFLAGS) $(LDFLAGS) $(GTKFLAGS) -o $(PROGRAM) $(LIBS)

clean:
	@rm -rf $(PROGRAM)

=== debian/changelog ===
sagan (0.2.0-1) unstable; urgency=low

  * Imported Upstream version 0.2.0
    - Fifo handling on start should not block now (Closes: #639254)
  * Add patch to fix build (Closes: #652166)
    - Do not include lognorm.h directly, this is a private header
  * Convert to DH version 8
  * Add .gitignore file

 -- Pierre Chifflier <pollux@debian.org>  Sat, 17 Dec 2011 16:04:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8),
     autotools-dev,
     pkg-config,
     libpcre3-dev,

## sagan 0.2.1.r1

=== src/Makefile ===
--- 
+++ 
@@ -32,9 +32,9 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-pc-linux-gnu
-host_triplet = i686-pc-linux-gnu
-target_triplet = i686-pc-linux-gnu
+build_triplet = x86_64-unknown-linux-gnu
+host_triplet = x86_64-unknown-linux-gnu
+target_triplet = x86_64-unknown-linux-gnu
 bin_PROGRAMS = sagan$(EXEEXT)
 subdir = src
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -54,11 +54,13 @@
 	sagan-signal.$(OBJEXT) sagan-key.$(OBJEXT) \
 	sagan-stats.$(OBJEXT) sagan-strlcat.$(OBJEXT) \
 	sagan-strlcpy.$(OBJEXT) sagan-usage.$(OBJEXT) \
-	sagan-util.$(OBJEXT) sagan-plog.$(OBJEXT) parse-ip.$(OBJEXT) \
-	parse-port.$(OBJEXT) sagan-alert.$(OBJEXT) \
+	sagan-util.$(OBJEXT) sagan-plog.$(OBJEXT) \
+	sagan-output.$(OBJEXT) sagan-processor.$(OBJEXT) \
+	parse-ip.$(OBJEXT) parse-port.$(OBJEXT) sagan-alert.$(OBJEXT) \
 	sagan-snort.$(OBJEXT) sagan-esmtp.$(OBJEXT) \
 	sagan-external.$(OBJEXT) sagan-prelude.$(OBJEXT) \
-	sagan-unified2.$(OBJEXT)
+	sagan-unified2.$(OBJEXT) sagan-twofish.$(OBJEXT) \
+	sagan-snortsam.$(OBJEXT)
 sagan_OBJECTS = $(am_sagan_OBJECTS)
 sagan_LDADD = $(LDADD)
 DEFAULT_INCLUDES = -I. -I$(top_builddir)
@@ -74,12 +76,12 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run aclocal-1.11
-AMTAR = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run tar
-AUTOCONF = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run automake-1.11
-AWK = gawk
+ACLOCAL = ${SHELL} /home/champ/Downloads/sagan-0.2.1-r1/missing --run aclocal-1.11
+AMTAR = ${SHELL} /home/champ/Downloads/sagan-0.2.1-r1/missing --run tar
+AUTOCONF = ${SHELL} /home/champ/Downloads/sagan-0.2.1-r1/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/champ/Downloads/sagan-0.2.1-r1/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/champ/Downloads/sagan-0.2.1-r1/missing --run automake-1.11
+AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
@@ -102,9 +104,9 @@
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 LDFLAGS = 
 LIBOBJS = 
-LIBS = -ldnet -lpcap -llognorm -lprelude -lesmtp -lpq -lmysqlclient_r -lm -lpthread -lpcre 
+LIBS = -lm -lpthread -lpcre 
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/champ/code/sagan-0.2.0/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/champ/Downloads/sagan-0.2.1-r1/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = sagan
@@ -116,13 +118,13 @@
 PACKAGE_VERSION = 
 PATH_SEPARATOR = :
 SET_MAKE = 
-SHELL = /bin/sh
+SHELL = /bin/bash
 STRIP = 
-VERSION = 0.2.0
-abs_builddir = /home/champ/code/sagan-0.2.0/src
-abs_srcdir = /home/champ/code/sagan-0.2.0/src
-abs_top_builddir = /home/champ/code/sagan-0.2.0
-abs_top_srcdir = /home/champ/code/sagan-0.2.0
+VERSION = 0.2.1
+abs_builddir = /home/champ/Downloads/sagan-0.2.1-r1/src
+abs_srcdir = /home/champ/Downloads/sagan-0.2.1-r1/src
+abs_top_builddir = /home/champ/Downloads/sagan-0.2.1-r1
+abs_top_srcdir = /home/champ/Downloads/sagan-0.2.1-r1
 ac_ct_CC = gcc
 am__include = include
 am__leading_dot = .
@@ -130,26 +132,26 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = x86_64-unknown-linux-gnu
 build_alias = 
-build_cpu = i686
+build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = x86_64-unknown-linux-gnu
 host_alias = 
-host_cpu = i686
+host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/champ/code/sagan-0.2.0/install-sh
+install_sh = ${SHELL} /home/champ/Downloads/sagan-0.2.1-r1/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -165,11 +167,11 @@
 sharedstatedir = ${prefix}/com
 srcdir = .
 sysconfdir = ${prefix}/etc
-target = i686-pc-linux-gnu
+target = x86_64-unknown-linux-gnu
 target_alias = 
-target_cpu = i686
+target_cpu = x86_64
 target_os = linux-gnu
-target_vendor = pc
+target_vendor = unknown
 top_build_prefix = ../
 top_builddir = ..
 top_srcdir = ..
@@ -190,6 +192,8 @@
 sagan-usage.c \
 sagan-util.c \
 sagan-plog.c \
+sagan-output.c \
+sagan-processor.c \
 parsers/parse-ip.c \
 parsers/parse-port.c \
 output-plugins/sagan-alert.c \
@@ -197,7 +201,9 @@
 output-plugins/sagan-esmtp.c \
 output-plugins/sagan-external.c \
 output-plugins/sagan-prelude.c \
-output-plugins/sagan-unified2.c
+output-plugins/sagan-unified2.c \
+output-plugins/sagan-twofish.c \
+output-plugins/sagan-snortsam.c
 
 all: all-am
 
@@ -289,15 +295,19 @@
 include ./$(DEPDIR)/sagan-external.Po
 include ./$(DEPDIR)/sagan-key.Po
 include ./$(DEPDIR)/sagan-lockfile.Po
+include ./$(DEPDIR)/sagan-output.Po
 include ./$(DEPDIR)/sagan-plog.Po
 include ./$(DEPDIR)/sagan-prelude.Po
+include ./$(DEPDIR)/sagan-processor.Po
 include ./$(DEPDIR)/sagan-references.Po
 include ./$(DEPDIR)/sagan-rules.Po
 include ./$(DEPDIR)/sagan-signal.Po
 include ./$(DEPDIR)/sagan-snort.Po
+include ./$(DEPDIR)/sagan-snortsam.Po
 include ./$(DEPDIR)/sagan-stats.Po
 include ./$(DEPDIR)/sagan-strlcat.Po
 include ./$(DEPDIR)/sagan-strlcpy.Po
+include ./$(DEPDIR)/sagan-twofish.Po
 include ./$(DEPDIR)/sagan-unified2.Po
 include ./$(DEPDIR)/sagan-usage.Po
 include ./$(DEPDIR)/sagan-util.Po
@@ -329,9 +339,3 @@
 	$(am__mv) $(DEPDIR)/parse-ip.Tpo $(DEPDIR)/parse-ip.Po
 #	source='parsers/parse-ip.c' object='parse-ip.obj' libtool=no \
 #	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
-#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parse-ip.obj `if test -f 'parsers/parse-ip.c'; then $(CYGPATH_W) 'parsers/parse-ip.c'; else $(CYGPATH_W) '$(srcdir)/parsers/parse-ip.c'; fi`
-
-parse-port.o: parsers/parse-port.c
-	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parse-port.o -MD -MP -MF $(DEPDIR)/parse-port.Tpo -c -o parse-port.o `test -f 'parsers/parse-port.c' || echo '$(srcdir)/'`parsers/parse-port.c
-	$(am__mv) $(DEPDIR)/parse-port.Tpo $(DEPDIR)/parse-port.Po
-#	source='parsers/parse-port.c' object='parse-port.o' libtool=no \

=== debian/changelog ===
sagan (0.2.1.r1-1) unstable; urgency=low

  * Imported Upstream version 0.2.1-r1
  * Refreshed quilt patches
  * Prepend -lm to LIBS in configure script, to fix a build failure
  * Bump Standards Version to 3.9.3
  * Switch to debhelper 9, and use hardening flags instead of hardening-wrapper

 -- Pierre Chifflier <pollux@debian.org>  Mon, 16 Apr 2012 22:33:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
     autotools-dev,
     pkg-config,
     libpcre3-dev,
@@ -11,9 +11,8 @@
     libmysqlclient-dev,
     libpq-dev,
     libprelude-dev,
-    liblognorm-dev,
-    hardening-wrapper
-Standards-Version: 3.9.2
+    liblognorm-dev
+Standards-Version: 3.9.3
 Homepage: http://sagan.softwink.com/
 #Vcs-Git: git://git.debian.org/collab-maint/sagan.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/sagan.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
-
 override_dh_auto_configure:
 	dh_testdir
-	dh_auto_configure -- --with-postgresql-includes=/usr/include/postgresql --disable-libdnet LIBS="-lestr -lee"
+	dh_auto_configure -- --with-postgresql-includes=/usr/include/postgresql --disable-libdnet LIBS="-lm -lestr -lee"
 
 override_dh_auto_install:
 	dh_auto_install

## sagan 1.0.0~RC4

=== debian/changelog ===
sagan (1.0.0~RC4-0ubuntu2) wily; urgency=medium

  * No change rebuild for new liblognorm 

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 13 May 2015 19:36:20 -0500

sagan (1.0.0~RC4-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1417750
  * Add build-deps on libjson-c-dev, libestr-dev, libee-dev

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 04 Feb 2015 06:54:05 +1100

sagan (0.2.1.r1-1build1) vivid; urgency=medium

  * Rebuild against liblognorm1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 19:52:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sagan
 Section: admin
 Priority: extra
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     pkg-config,
@@ -11,7 +12,10 @@
     libmysqlclient-dev,
     libpq-dev,
     libprelude-dev,
-    liblognorm-dev
+    liblognorm-dev,
+    libjson-c-dev,
+    libestr-dev,
+    libee-dev
 Standards-Version: 3.9.3
 Homepage: http://sagan.softwink.com/
 #Vcs-Git: git://git.debian.org/collab-maint/sagan.git
